メインコンテンツへスキップ
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DEX プール - 流動性スナップショット
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tokenA": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "vaultAmount": "1000000000000"
      },
      "tokenB": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "vaultAmount": "1000000000000"
      },
      "tvlInNative": "5000",
      "tvlInUsd": "1000000.45"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0=",
  "total": 564094
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
poolAddress
string
必須

プールアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev
time
integer<int64>

スナップショット検索対象の Unix タイムスタンプ

レスポンス

200 - application/json

成功レスポンス

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="

total
integer<int64> | null

Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).

:

564094